@import "../base/variable.scss";
@import "../base/mixins.scss";

.checkout_section {
    padding-top: 150px;
    padding-bottom: 80px;

    .checkout-inner {
        .heading_area {
            h1 {
                color: $primary_color;
                font-size: 36px;
                font-weight: 600;
                padding-bottom: 30px;
            }
        }

        .modal_area {
            margin-bottom: 30px;
            background-color: $white;
            box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.05) 0px 8px 32px;
            border-radius: 20px;


            .plan_gb {
                color: #ffffff;
                height: 65px;
                font-size: 24px;
                font-weight: 600;
                padding: 10px;
                line-height: 45px;
                text-align: center;
                width: 210px;
                background-color: $red;
                border-radius: 5px 5px 30px 30px;
                box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                margin-left: 30px;
                position: relative;
                top: -8px;
            }

            .cross_area {
                float: right;
                margin-top: -50px;
                margin-right: 10px;

                a {
                    i {
                        background-color: $input;
                        height: 58px;
                        width: 58px;
                        font-size: 30px;
                        line-height: 58px;
                        text-align: center;
                        border-radius: 20px;

                    }
                }
            }

            .items_detail_area {
                .item {
                    padding-left: 30px;

                    .plans_ment {
                        padding-top: 0px;
                        // padding-left: 10px;
                        // padding-right: 10px;

                        .desp {

                            p {
                                color: $black;
                                padding-top: 15px;
                                font-size: 16px;
                                padding-bottom: 10px;
                                font-weight: 500;
                            }
                        }

                        .detail_area {
                            padding-bottom: 30px;

                            p {
                                color: $offfspra2;
                                padding-top: 15px;
                                font-size: 16px;
                                font-weight: 500;
                            }
                        }

                        p {
                            color: $offfspra2;
                            padding-top: 20px;
                            font-size: 16px;
                            font-weight: 500;
                        }

                        .price {


                            h2 {

                                font-size: 48px;
                                color: $primary_color;
                            }

                            sub {
                                font-size: 16px;
                                font-weight: 400;
                                color: $offfspra2;
                            }
                        }
                    }
                }

                .contact_info {
                    padding-top: 20px;
                    border-top: 2px solid $input;
                    padding-bottom: 30px;

                    p {
                        padding-left: 30px;
                        font-size: 16px;
                        color: $black;
                        font-weight: 600;
                        padding-top: 10px;
                    }
                }
            }
        }

        .detail_area {
            .accordion {
                .accordion-item {
                    border: none;
                    margin-bottom: 25px;
                    background-color: $white;
                    box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.05) 0px 8px 32px;
                    border-radius: 30px;

                    h2 {
                        .accordion-button {
                            background-color: $primary_color;
                            font-size: 20px;
                            box-shadow: none;
                            color: $white;
                            border-radius: 20px;
                            padding-left: 30px;
                            height: 70px;

                            &::after {
                                background-image: url("../images/Icon111.png");
                                transform: rotate(-1deg);
                                background-size: contain;
                                margin-right: 20px;
                                margin-top: 14px;
                            }

                            &:not(.collapsed)::after {
                                transform: rotate(178deg);
                                margin-bottom: 20px;
                            }
                        }
                    }

                    .accordion-collapse {
                        .accordion-body {
                            padding-top: 50px;
                            padding-bottom: 30px;
                            padding-left: 0;
                            padding-right: 0;

                            .radio_area {
                                padding-top: 0;
                                padding-left: 60px;

                                &.el {
                                    margin-top: 30px;
                                    border-top: 2px solid $input;
                                    padding-top: 20px;
                                    padding-left: 50px;
                                }

                                .form-check {
                                    .form-check-input {
                                        border-color: $input;
                                        background-color: $input;
                                        box-shadow: none;
                                        height: 30px;
                                        width: 30px;
                                    }

                                    .form-check-label {
                                        padding-left: 10px;
                                        color: $black;
                                        font-size: 16px;
                                        font-weight: 500;
                                        margin-top: 8px;
                                    }
                                }

                            }

                            .form-group {
                                padding-top: 20px;
                                padding-left: 30px;

                                .form-control {
                                    background-color: $input;
                                    border-radius: 15px;
                                    height: 50px;
                                    font-size: 16px;
                                    padding-right: 65px;
                                }

                                label {
                                    // margin-left: 15px;
                                    color: $black;
                                    font-size: 16px;
                                    font-weight: 500;
                                    padding-bottom: 15px;
                                }

                                .form_icon {
                                    position: relative;

                                    .icon_area {
                                        position: absolute;
                                        right: 0;
                                        top: 0;
                                        padding-top: 14px;
                                        padding-right: 34px;

                                        i {
                                            font-size: 22px;
                                        }
                                    }
                                }


                                p {
                                    margin-left: 15px;
                                    color: $offfspra2;
                                    font-size: 16px;
                                    padding-top: 20px;
                                    font-weight: 500;

                                }
                            }

                            .paypals {
                                padding-left: 40px;
                            }
                        }
                    }
                }
            }

            h1 {
                color: $primary_color;
                font-size: 36px;
                font-weight: 600;
                padding-bottom: 30px;

            }

            .price_detail_area {
                background-color: $white;
                box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.05) 0px 8px 32px;
                border-radius: 20px;
                padding-top: 26px;
                padding-bottom: 26px;
                @include clearfix();

                .heading_area {

                    .price_area {
                        ul {
                            li {
                                @include clearfix();

                                .left {
                                    padding-left: 30px;
                                    padding-right: 30px;
                                    float: left;
                                    padding-bottom: 20px;

                                    p {
                                        color: $black;
                                        font-size: 16px;
                                        font-weight: 500;
                                    }
                                }

                                .right {
                                    padding-left: 30px;
                                    padding-right: 30px;
                                    float: right;

                                    p {
                                        color: $black;
                                        font-size: 16px;
                                        font-weight: 500;
                                    }
                                }
                            }
                        }
                    }

                    .total_area {
                        color: $black;
                        font-size: 18px;
                        font-weight: 500;
                        border-top: 2px solid $input;
                        padding-top: 20px;
                        padding-left: 20px;
                        padding-right: 20px;

                        .left {
                            padding-left: 10px;
                            padding-right: 10px;
                            float: left;

                            p {
                                color: $black;
                                font-size: 18px;
                                font-weight: 600;
                            }
                        }

                        .right {
                            padding-left: 10px;
                            padding-right: 10px;
                            float: right;

                            p {
                                color: $black;
                                font-size: 18px;
                                font-weight: 600;
                            }
                        }
                    }
                }
            }

            .view {
                padding-top: 20px;

                a {
                    background-color: $red;
                    width: 100%;

                }
            }
        }
    }
}



/* Extra Huge large desktops */
@media (min-width: 1920px) {}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px) {}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px) {}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px) {}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .checkout_section {
        padding-top: 160px;

        .checkout-inner {
            .modal_area {
                .items_detail_area {
                    .item {
                        padding-left: 30px;
                        padding-right: 30px;

                        .plans_ment {
                            .detail_area {
                                padding-bottom: 30px;

                                p {

                                    padding-top: 15px;
                                    font-size: 16px;

                                }
                            }

                            p {

                                padding-top: 15px;
                                font-size: 16px;

                            }

                            .price {
                                // padding: 20px 0;

                                h2 {

                                    font-size: 48px;

                                }

                                sub {
                                    font-size: 16px;


                                }
                            }
                        }
                    }

                    .contact_info {
                        padding-top: 20px;
                        padding-bottom: 30px;

                        p {
                            padding-left: 30px;
                            font-size: 16px;
                            padding-top: 10px;
                        }
                    }
                }
            }

            .detail_area {
                .accordion {
                    .accordion-item {
                        border: none;
                        margin-bottom: 25px;
                        h2 {
                            .accordion-button {
                                font-size: 20px;
                                padding-left: 30px;
                                height: 70px;
                            }
                        }

                        .accordion-collapse {
                            .accordion-body {
                                padding-top: 50px;
                                padding-right: 0px;
                                padding-bottom: 30px;

                                .radio_area {
                                    padding-top: 0;

                                    .form-check {
                                        .form-check-input {
                                            height: 30px;
                                            width: 30px;
                                        }

                                        .form-check-label {
                                            padding-left: 10px;
                                            font-size: 16px;
                                            margin-top: 8px;
                                        }
                                    }
                                }

                                .form-group {
                                    padding-top: 20px;

                                    .form-control {
                                        height: 50px;
                                        font-size: 16px;
                                        padding-right: 50px;
                                    }

                                    label {
                                        margin-left: 15px;
                                        font-size: 16px;
                                        padding-bottom: 15px;
                                    }

                                    .form_icon {
                                        .icon_area {
                                            padding-top: 14px;
                                            padding-right: 34px;

                                            i {
                                                font-size: 22px;
                                            }
                                        }
                                    }


                                    p {
                                        margin-left: 15px;
                                        font-size: 16px;
                                        padding-top: 20px;


                                    }
                                }
                            }
                        }
                    }
                }

                h1 {
                    font-size: 36px;
                    padding-bottom: 30px;

                }

                .price_detail_area {
                    padding-left: 0px;
                    padding-right: 0px;
                    padding-top: 26px;
                    padding-bottom: 26px;


                    .heading_area {

                        .price_area {
                            ul {
                                li {
                                    .left {
                                        float: left;
                                        padding-bottom: 20px;

                                        p {
                                            color: $black;
                                            font-size: 16px;
                                            font-weight: 500;
                                        }
                                    }

                                    .right {
                                        float: right;

                                        p {
                                            font-size: 16px;

                                        }
                                    }
                                }
                            }
                        }

                        .total_area {
                            font-size: 18px;
                            padding-top: 20px;

                            .left {
                                float: left;

                                p {
                                    font-size: 18px;

                                }
                            }

                            .right {
                                float: right;

                                p {
                                    font-size: 18px;

                                }
                            }
                        }
                    }
                }

                .view {
                    padding-top: 20px;

                    a {

                        width: 100%;

                    }
                }
            }
        }
    }

}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .checkout_section {
        padding-top: 140px;

        .checkout-inner {
            .modal_area {
                .items_detail_area {
                    .item {
                        padding-left: 30px;
                        padding-right: 30px;

                        .plans_ment {
                            .detail_area {
                                padding-bottom: 30px;

                                p {
                                    padding-top: 15px;
                                    font-size: 16px;

                                }
                            }

                            p {
                                padding-top: 15px;
                                font-size: 16px;

                            }

                            .price {


                                h2 {
                                    font-size: 48px;

                                }

                                sub {
                                    font-size: 16px;

                                }
                            }
                        }
                    }

                    .contact_info {
                        padding-top: 20px;

                        padding-bottom: 30px;

                        p {
                            padding-left: 30px;
                            font-size: 16px;
                            padding-top: 10px;
                        }
                    }
                }
            }

            .detail_area {
                .accordion {
                    .accordion-item {
                        margin-bottom: 25px;

                        h2 {
                            .accordion-button {
                                font-size: 20px;
                                padding-left: 30px;
                                height: 70px;
                            }
                        }

                        .accordion-collapse {
                            .accordion-body {
                                padding-top: 50px;
                                padding-right: 0px;
                                padding-bottom: 30px;

                                .radio_area {
                                    padding-top: 0;

                                    &.el {
                                        margin-top: 30px;
                                        padding-top: 20px;
                                        padding-left: 60px;
                                    }

                                    .form-check {
                                        .form-check-input {
                                            height: 30px;
                                            width: 30px;
                                        }

                                        .form-check-label {
                                            padding-left: 10px;
                                            font-size: 16px;
                                            margin-top: 8px;
                                        }
                                    }
                                }

                                .form-group {
                                    padding-top: 20px;

                                    .form-control {

                                        border-radius: 15px;
                                        height: 50px;
                                        font-size: 16px;
                                        padding-right: 50px;
                                    }

                                    label {
                                        margin-left: 15px;
                                        font-size: 16px;
                                        padding-bottom: 15px;
                                    }

                                    .form_icon {
                                        .icon_area {
                                            padding-top: 14px;
                                            padding-right: 34px;

                                            i {
                                                font-size: 22px;
                                            }
                                        }
                                    }


                                    p {
                                        margin-left: 15px;
                                        font-size: 16px;
                                        padding-top: 20px;


                                    }
                                }
                            }
                        }
                    }
                }

                h1 {
                    font-size: 36px;
                    padding-bottom: 30px;

                }


            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .checkout_section {
        padding-top: 116px;

        .detail_area {
            .accordion {
                .accordion-item {
                    .accordion-collapse {
                        .accordion-body {
                            .checkout_detail_area {
                                .form-check {
                                    .form-check-label {
                                        margin-left: 6px;
                                    }
                                }
                            }
                        }

                    }
                }
            }

            .price_detail_area {
                margin-left: 0;
                margin-top: 20px;
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .checkout_section {
        padding-top: 120px;
        padding-bottom: 80px;

        .checkout-inner {
            .heading_area {
                h1 {
                    font-size: 30px;
                    padding-bottom: 20px;
                }
            }

            .modal_area {
                margin-bottom: 30px;
                border-radius: 20px;

                .plan_gb {
                    height: 60px;
                    font-size: 22px;
                    padding: 10px;
                    line-height: 40px;
                    text-align: center;
                    width: 120px;
                    margin-left: 20px;
                }

                .cross_area {
                    a {
                        i {
                            height: 50px;
                            width: 50px;
                            font-size: 24px;
                            line-height: 50px;
                        }
                    }
                }

                .items_detail_area {
                    .item {
                        padding-left: 16px;
                        padding-right: 16px;

                        .plans_ment {
                            .detail_area {
                                padding-bottom: 30px;

                                p {
                                    font-size: 14px;
                                }
                            }

                            .price {
                                h2 {

                                    font-size: 30px;

                                }
                            }

                            .desp {
                                p {
                                    font-size: 14px;
                                }
                            }
                        }
                    }

                    .contact_info {
                        padding-top: 16px;
                        padding-bottom: 16px;

                        p {
                            padding-left: 20px;
                            padding-top: 6px;
                            font-size: 14px;
                        }
                    }
                }
            }

            .detail_area {
                .accordion {
                    .accordion-item {
                        border: none;
                        margin-bottom: 25px;

                        h2 {
                            .accordion-button {
                                padding-left: 30px;
                            }
                        }

                        .accordion-collapse {
                            .accordion-body {
                                padding-top: 30px;
                                padding-left: 10px;
                                padding-right: 10px;
                                padding-bottom: 30px;

                                .radio_area {
                                    padding-top: 0;
                                  

                                    &.el {
                                        margin-top: 30px;
                                        padding-top: 20px;
                                        padding-left: 60px;
                                    }
                                }

                                .form-group {
                                    padding-top: 20px;
                                    padding-left: 0px;

                                    .form_icon {
                                        .icon_area {

                                            padding-right: 28px;

                                            i {
                                                font-size: 20px;
                                            }
                                        }
                                    }


                                    p {
                                        margin-left: 15px;
                                        font-size: 16px;
                                        padding-top: 20px;
                                        font-weight: 500;

                                    }
                                }
                            }
                        }
                    }
                }

                h1 {
                    font-size: 36px;
                    padding-bottom: 30px;

                }

                .price_detail_area {
                    padding-top: 26px;
                    padding-bottom: 26px;
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .checkout_section {
        padding-top: 120px;
        padding-bottom: 80px;

        .checkout-inner {
            .heading_area {
                h1 {
                    font-size: 30px;
                    padding-bottom: 20px;
                }
            }

            .modal_area {
                margin-bottom: 30px;
                border-radius: 20px;

                .plan_gb {
                    height: 60px;
                    font-size: 22px;
                    padding: 10px;
                    line-height: 40px;
                    text-align: center;
                    width: 120px;
                    margin-left: 20px;
                }

                .cross_area {
                    a {
                        i {
                            height: 50px;
                            width: 50px;
                            font-size: 24px;
                            line-height: 50px;
                        }
                    }
                }

                .items_detail_area {
                    .item {
                        padding-left: 16px;
                        padding-right: 16px;

                        .plans_ment {
                            .detail_area {
                                padding-bottom: 30px;

                                p {
                                    font-size: 14px;
                                }
                            }

                            .price {
                                h2 {

                                    font-size: 30px;

                                }
                            }

                            .desp {
                                p {
                                    font-size: 14px;
                                }
                            }
                        }
                    }

                    .contact_info {
                        padding-top: 16px;
                        border-top: 2px solid $input;
                        padding-bottom: 16px;

                        p {
                            padding-left: 20px;
                            padding-top: 6px;
                            font-size: 14px;
                        }
                    }
                }
            }

            .detail_area {
                .accordion {
                    .accordion-item {
                        border: none;
                        margin-bottom: 25px;

                        h2 {
                            .accordion-button {
                                padding-left: 30px;
                            }
                        }

                        .accordion-collapse {
                            .accordion-body {
                                padding-top: 30px;
                                padding-left: 10px;
                                padding-right: 10px;
                                padding-bottom: 30px;

                                .radio_area {
                                    padding-top: 0;
                                    padding-left: 40px;

                                    &.el {
                                        margin-top: 30px;
                                        border-top: 2px solid $input;
                                        padding-top: 20px;
                                        padding-left: 30px;
                                    }
                                }

                                .form-group {
                                    padding-top: 20px;
                                    padding-left: 0px;

                                    .form_icon {
                                        .icon_area {

                                            padding-right: 28px;

                                            i {
                                                font-size: 20px;
                                            }
                                        }
                                    }


                                    p {
                                        margin-left: 15px;
                                        font-size: 16px;
                                        padding-top: 20px;


                                    }
                                }
                            }
                        }
                    }
                }

                h1 {
                    font-size: 36px;
                    padding-bottom: 30px;

                }

                .price_detail_area {
                    padding-top: 26px;
                    padding-bottom: 26px;



                }
            }
        }
    }

}

/* Smaller phones */
@media (max-width: 320px) {
    .checkout_section {
        padding-top: 120px;
        padding-bottom: 80px;

        .checkout-inner {
            .heading_area {
                h1 {
                    font-size: 30px;
                    padding-bottom: 20px;
                }
            }

            .modal_area {
                margin-bottom: 30px;
                border-radius: 20px;

                .plan_gb {
                    height: 60px;
                    font-size: 22px;
                    padding: 10px;
                    line-height: 40px;
                    text-align: center;
                    width: 120px;
                    margin-left: 20px;
                }

                .cross_area {
                    a {
                        i {
                            height: 50px;
                            width: 50px;
                            font-size: 24px;
                            line-height: 50px;
                        }
                    }
                }

                .items_detail_area {
                    .item {
                        padding-left: 16px;
                        padding-right: 16px;

                        .plans_ment {
                            .detail_area {
                                padding-bottom: 30px;

                                p {
                                    font-size: 14px;
                                }
                            }

                            .price {
                                h2 {
                                    font-size: 30px;

                                }
                            }

                            .desp {
                                p {
                                    font-size: 14px;
                                }
                            }
                        }
                    }

                    .contact_info {
                        padding-top: 16px;
                        padding-bottom: 16px;

                        p {
                            padding-left: 20px;
                            padding-top: 6px;
                            font-size: 14px;
                        }
                    }
                }
            }

            .detail_area {
                .accordion {
                    .accordion-item {

                        margin-bottom: 25px;

                        h2 {
                            .accordion-button {
                                padding-left: 30px;
                            }
                        }

                        .accordion-collapse {
                            .accordion-body {
                                padding-top: 30px;
                                padding-left: 10px;
                                padding-right: 10px;
                                padding-bottom: 30px;

                                .radio_area {
                                    padding-top: 0;
                                    padding-left: 40px;

                                    &.el {
                                        margin-top: 30px;
                                        padding-top: 20px;
                                        padding-left: 30px;
                                    }
                                }

                                .form-group {
                                    padding-top: 20px;
                                    padding-left: 0px;

                                    .form_icon {
                                        .icon_area {

                                            padding-right: 28px;

                                            i {
                                                font-size: 20px;
                                            }
                                        }
                                    }

                                    p {
                                        margin-left: 15px;
                                        font-size: 16px;
                                        padding-top: 20px;


                                    }
                                }
                            }
                        }
                    }
                }

                h1 {
                    font-size: 36px;
                    padding-bottom: 30px;
                }

                .price_detail_area {
                    padding-top: 26px;
                    padding-bottom: 26px;
                }
            }
        }
    }
}